Bug 765580 (GLUSTER-3848) - object-storage: volume mount does not happen
Summary: object-storage: volume mount does not happen
Keywords:
Status: CLOSED EOL
Alias: GLUSTER-3848
Product: GlusterFS
Classification: Community
Component: object-storage
Version: pre-release
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Saurabh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-06 13:17 UTC by Saurabh
Modified: 2016-01-19 06:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-22 15:40:20 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Saurabh 2011-12-06 13:17:06 UTC
getting this after the latest git pull for swigft_plugin

[root@RHEL6 glusterfs-test]# curl -v -X GET -H 'X-Auth-Token: AUTH_tk849afe6047f84b97b4fd9e36ef0992b6' http://127.0.0.1:8080/v1/AUTH_test/
* About to connect() to 127.0.0.1 port 8080 (#0)
*   Trying 127.0.0.1... connected
* Connected to 127.0.0.1 (127.0.0.1) port 8080 (#0)
> GET /v1/AUTH_test/ HTTP/1.1
> User-Agent: curl/7.19.7 (x86_64-redhat-linux-gnu) libcurl/7.19.7 NSS/3.12.9.0 zlib/1.2.3 libidn/1.18 libssh2/1.2.2
> Host: 127.0.0.1:8080
> Accept: */*
> X-Auth-Token: AUTH_tk849afe6047f84b97b4fd9e36ef0992b6
> 
< HTTP/1.1 503 Internal Server Error
< Content-Type: text/html; charset=UTF-8
< Content-Length: 0
< Date: Tue, 06 Dec 2011 13:15:03 GMT
< 
* Connection #0 to host 127.0.0.1 left intact
* Closing connection #0



Dec  6 08:11:54 RHEL6 proxy-server ERROR 500 Traceback (most recent call last):#012  File "/usr/lib/python2.6/site-packages/swift-1.4.5-py2.6.egg/swift/account/server.py", line 361, in __call__#012    res = getattr(self, req.method)(req)#012  File "/usr/lib/python2.6/site-packages/swift-1.4.5-py2.6.egg/swift/account/server.py", line 199, in GET#012    broker = self._get_account_broker(drive, part, account)#012  File "/usr/lib/python2.6/site-packages/swift-1.4.5-py2.6.egg/swift/account/server.py", line 60, in _get_account_broker#012    return DiskAccount(self.root, account, self.fs_object)#012  File "/usr/lib/python2.6/site-packages/swift-1.4.5-py2.6.egg/swift/plugins/DiskDir.py", line 413, in __init__#012    check_valid_account(account, fs_object)#012  File "/usr/lib/python2.6/site-packages/swift-1.4.5-py2.6.egg/swift/plugins/utils.py", line 398, in check_valid_account#012    return _check_valid_account(account, fs_object)#012  File "/usr/lib/python2.6/site-packages/swift-1.4.5-py2.6.egg/swift/plugins/utils.py", line 368, in _check_valid_account#012    if not check_account_exists(fs_objec From Account Server 127.0.0.1:6012 (txn: tx3a371cf16c7543088210b5cf93ad2655)
Dec  6 08:11:54 RHEL6 proxy-server Account GET returning 503 for [500] (txn: tx3a371cf16c7543088210b5cf93ad2655) (client_ip: 127.0.0.1)
Dec  6 08:11:54 RHEL6 proxy-server 127.0.0.1 127.0.0.1 06/Dec/2011/13/11/54 GET /v1/AUTH_test/ HTTP/1.0 503 - curl/7.19.7%20%28x86_64-redhat-linux-gnu%29%20libcurl/7.19.7%20NSS/3.12.9.0%20zlib/1.2.3%20libidn/1.18%20libssh2/1.2.2 test%2CAUTH_tk849afe6047f84b97b4fd9e36ef0992b6 - - - tx3a371cf16c7543088210b5cf93ad2655 - 0.0078


effectively the fuse mount for the volume in consideration does not happen

Comment 1 Gaurav 2011-12-07 04:21:20 UTC
As discussed enable user_xattr and use webob 1.0.

Comment 2 Saurabh 2012-04-18 07:38:57 UTC
correct version of webob is python-webob-1.0.8-0.noarch required for using the swift services.

Comment 3 Kaleb KEITHLEY 2015-10-22 15:40:20 UTC
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.


Note You need to log in before you can comment on or make changes to this bug.